it.csi.mddtools.guigen

## Interface WebResourceModule

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    StdWebResourceModule

      public interface WebResourceModule
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Web Resource Module'. Modulo di risorse web che l'applicazione utilizza in vario modo. Preferibilmente si utilizza la sottoclasse StdWebResourceModule.

  The following features are supported:

  - `Name`
  - `Version`
  - `Deployment Type`
  - `Repart Module`
  See Also:
    `GuigenPackage.getWebResourceModule()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebResModuleDeployTypes` | `getDeploymentType()` Returns the value of the 'Deployment Type' attribute.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `RepartModule` | `getRepartModule()` Returns the value of the 'Repart Module' containment reference
    `java.lang.String` | `getVersion()` Returns the value of the 'Version' attribute
    `boolean` | `isSetRepartModule()` Returns whether the value of the '`Repart Module`' containment reference is set
    `void` | `setDeploymentType(WebResModuleDeployTypes value)` Sets the value of the '`Deployment Type`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setRepartModule(RepartModule value)` Sets the value of the '`Repart Module`' containment reference
    `void` | `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute
    `void` | `unsetRepartModule()` Unsets the value of the '`Repart Module`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Nome logico del modulo. Non è necessario che corrisponda al nome del modulo disponibile su repart.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getWebResourceModule_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getVersion

          java.lang.String getVersion()

      Returns the value of the 'Version' attribute.

      If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

      Versione del modulo. Non è necessario che corrisponda alla versione del modulo disponibile su repart.
      Returns:
        the value of the 'Version' attribute.
      See Also:
        `setVersion(String)`, `GuigenPackage.getWebResourceModule_Version()`

    - #### setVersion

          void setVersion(java.lang.String value)

      Sets the value of the '`Version`' attribute.
      Parameters:
        `value` - the new value of the 'Version' attribute.
      See Also:
        `getVersion()`

    - #### getRepartModule

          RepartModule getRepartModule()

      Returns the value of the 'Repart Module' containment reference.

      If the meaning of the 'Repart Module' attribute isn't clear, there really should be more of a description here...

      Modulo effettivo disponibile su repart.
      Returns:
        the value of the 'Repart Module' containment reference.
      See Also:
        `isSetRepartModule()`, `unsetRepartModule()`, `setRepartModule(RepartModule)`, `GuigenPackage.getWebResourceModule_RepartModule()`

    - #### setRepartModule

          void setRepartModule(RepartModule value)

      Sets the value of the '`Repart Module`' containment reference.
      Parameters:
        `value` - the new value of the 'Repart Module' containment reference.
      See Also:
        `isSetRepartModule()`, `unsetRepartModule()`, `getRepartModule()`

    - #### unsetRepartModule

          void unsetRepartModule()

      Unsets the value of the '`Repart Module`' containment reference.
      See Also:
        `isSetRepartModule()`, `getRepartModule()`, `setRepartModule(RepartModule)`

    - #### isSetRepartModule

          boolean isSetRepartModule()

      Returns whether the value of the '`Repart Module`' containment reference is set.
      Returns:
        whether the value of the 'Repart Module' containment reference is set.
      See Also:
        `unsetRepartModule()`, `getRepartModule()`, `setRepartModule(RepartModule)`

    - #### getDeploymentType

          WebResModuleDeployTypes getDeploymentType()

      Returns the value of the 'Deployment Type' attribute. The literals are from the enumeration `WebResModuleDeployTypes`.

      If the meaning of the 'Deployment Type' attribute isn't clear, there really should be more of a description here...

      Determina:
      - dove il modulo sarà installato in esercizio
      - se e come sarà referenziato a build time
      - come sarà referenziato a runtime
      Returns:
        the value of the 'Deployment Type' attribute.
      See Also:
        `WebResModuleDeployTypes`, `setDeploymentType(WebResModuleDeployTypes)`, `GuigenPackage.getWebResourceModule_DeploymentType()`

    - #### setDeploymentType

          void setDeploymentType(WebResModuleDeployTypes value)

      Sets the value of the '`Deployment Type`' attribute.
      Parameters:
        `value` - the new value of the 'Deployment Type' attribute.
      See Also:
        `WebResModuleDeployTypes`, `getDeploymentType()`